Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055165 - internal error: failed to parse Xend response return code
Summary: internal error: failed to parse Xend response return code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 11:08 UTC by Thomas Wagner
Modified: 2014-01-30 16:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-30 16:59:02 UTC


Attachments (Terms of Use)

Description Thomas Wagner 2014-01-19 11:08:38 UTC
Description of problem:
I am running XEN hypervisor and libvirt from the openSuSe build Service.
Since I upgraded libvirt from 1.2.0 to 1.2.1 I cannot manage the VMs any more.
The hyperviser was unchanged.


Version-Release number of selected component (if applicable):

libvirt-daemon-driver-vbox-1.2.1-358.1.x86_64
libvirt-daemon-driver-interface-1.2.1-358.1.x86_64
libvirt-daemon-1.2.1-358.1.x86_64
libvirt-daemon-driver-secret-1.2.1-358.1.x86_64
libvirt-daemon-driver-lxc-1.2.1-358.1.x86_64
libvirt-glib-1_0-0-0.1.7-37.4.x86_64
libvirt-daemon-driver-storage-1.2.1-358.1.x86_64
libvirt-daemon-driver-network-1.2.1-358.1.x86_64
libvirt-daemon-driver-qemu-1.2.1-358.1.x86_64
libvirt-python-1.2.1-6.1.x86_64
libvirt-daemon-driver-nodedev-1.2.1-358.1.x86_64
libvirt-daemon-config-nwfilter-1.2.1-358.1.x86_64
libvirt-1.2.1-358.1.x86_64
libvirt-client-1.2.1-358.1.x86_64
libvirt-daemon-driver-uml-1.2.1-358.1.x86_64
libvirt-daemon-driver-nwfilter-1.2.1-358.1.x86_64
libvirt-daemon-xen-1.2.1-358.1.x86_64
libvirt-daemon-driver-xen-1.2.1-358.1.x86_64
libvirt-daemon-driver-libxl-1.2.1-358.1.x86_64



hera:/srv/domains/configs # xm info
host                   : hera.xxx
release                : 3.10.27-4-xen
version                : #1 SMP Sat Jan 18 11:52:33 CET 2014
machine                : x86_64
nr_cpus                : 16
nr_nodes               : 2
cores_per_socket       : 4
threads_per_core       : 2
cpu_mhz                : 2266
hw_caps                : bfebfbff:28000800:00000000:00003b00:009ce3bd:00000000:00000001:00000000
virt_caps              : hvm
total_memory           : 73717
free_memory            : 63957
free_cpus              : 0
max_free_memory        : 63957
max_para_memory        : 63953
max_hvm_memory         : 63795
xen_major              : 4
xen_minor              : 3
xen_extra              : .1_02-283.2
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 hvm-3.0-x86_32p hvm-3.0-x86_64
xen_scheduler          : credit
xen_pagesize           : 4096
platform_params        : virt_start=0xffff800000000000
xen_changeset          : 27302
xen_commandline        : dom0_mem=768M,max:768M
cc_compiler            : gcc (SUSE Linux) 4.7.2 20130108 [gcc-4_7-branch revision 195012
cc_compile_by          : abuild
cc_compile_domain      :
cc_compile_date        : Fri Dec 20 14:46:05 UTC 2013
xend_config_format     : 4



Actual results:

2014-01-19T11:50:44.253691+01:00 hera systemd[1]: Starting Virtualization daemon...
2014-01-19T11:50:44.256321+01:00 hera systemd[1]: Started Virtualization daemon.
2014-01-19T11:50:44.289430+01:00 hera libvirtd[5269]: libvirt version: 1.2.1
2014-01-19T11:50:44.290236+01:00 hera libvirtd[5269]: failed to load module /usr/lib64/libvirt/connection-driver/libvirt_driver_libxl.so /usr/lib64/libvirt/connection-driver/libvirt_driver_libxl.so: undefined symbol: libxl_node_bitmap_alloc
2014-01-19T11:50:44.299413+01:00 hera libvirtd[5269]: Unable to lookup SELinux process context: No such file or directory
2014-01-19T11:50:44.348550+01:00 hera libvirtd[5269]: Failed to get udev device for syspath '/sys/devices/virtual/dmi/id' or '/sys/class/dmi/id'
2014-01-19T11:50:44.565154+01:00 hera libvirtd[5269]: Configured security driver "none" disables default policy to create confined guests
2014-01-19T11:50:55.283529+01:00 hera libvirtd[5269]: Unable to issue hypervisor ioctl 3166208: Permission denied
2014-01-19T11:50:55.290703+01:00 hera libvirtd[5269]: last message repeated 6 times
2014-01-19T11:50:55.290555+01:00 hera libvirtd[5269]: internal error: failed to parse Xend response return code
2014-01-19T11:50:55.294313+01:00 hera libvirtd[5269]: internal error: failed to parse Xend response return code
2014-01-19T11:50:55.295551+01:00 hera libvirtd[5269]: End of file while reading data: Input/output error


hera:/srv/domains/configs # virsh edit template
error: failed to connect to the hypervisor
error: no valid connection
error: internal error: failed to parse Xend response return code



regards
Thomas Wagner

Comment 1 Sydney Meyer 2014-01-26 23:40:58 UTC
Same here. Debian 7.3 with Xen 4.1 and libvirt 1.2.1.

regards
Sydney Meyer

Comment 2 Jim Fehlig 2014-01-29 01:50:09 UTC
Potential patch posted on the libvirt list

https://www.redhat.com/archives/libvir-list/2014-January/msg01411.html

Comment 3 Thomas Wagner 2014-01-29 21:33:56 UTC
Will this patch be added on openSUSE Build Service?

https://build.opensuse.org/package/show/Virtualization/libvirt

Comment 4 Jim Fehlig 2014-01-29 21:55:20 UTC
Thomas, I just added the patch to the libvirt package in that project.


Note You need to log in before you can comment on or make changes to this bug.